Subject: Re: Regarding booting 440 gr board / ibm emac driver

From: Eugene Surovegin <[email-masked]>
Date: Fri, 30 Dec 2005 10:36:08 -0800

On Fri, Dec 30, 2005 at 06:21:11AM -0500, Kiran Kumar.A wrote:
> Hello Benjamin,
> This is kiran here. I'm working on 440GR (Yosemite) board to boot linux-2.6.13.4.
> Everything works fine execpt for MAC address. I saw the code in arch/ppc/platforms/4xx/yosemite.c; the code to copy the MAC addr from board info structure seems to be in place. I am  using IBM emac driver written by you.
> Linux boots up fine and  in the booting messages , I see that the MAC addr is displayed as all zeroes. Also, the ifconfig displays the MAC address as all zeroes.  
> 
> Could you please throw some light on the same. 

First, check that the code which copies MAC address is actually 
executed. Second, check _what_ is being copied by this code. Maybe 
board info structure contains zeros.

> Do we need to modify the driver for MAC address issue??

No, you don't need to modify EMAC driver.

-- 
Eugene